// This is -*- C++ -*-
// $Id: perm2.cc,v 1.2 1998/09/19 06:08:26 trow Exp $

/* 
 * perm2.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */


#include <iostream.h>
#include <Permutation.h>
#include <DataSet.h>

main()
{
  DataSet ds;
  ds.add(10);
  ds.add(30);
  ds.add(20);
  ds.add(0);


  ds.spew(cout, ' ');
  cout << endl;

  ds.remove_at(2);

  ds.spew(cout, ' ');
  cout << endl;


  Permutation p = ds.sorting_permutation();

  p.spew(cout);
  cout << endl;

  ds.permute(p);

  ds.spew(cout, ' ');
  cout << "(sortedness = " << ds.sortedness() << ")";
  cout << endl;
  
}




// $Id: perm2.cc,v 1.2 1998/09/19 06:08:26 trow Exp $
